@charset 'utf-8';

@import url(vegas.min.css);

.vertical-text {
  writing-mode: vertical-rl;
}

/* Custom Scrollbar for modern feel */
::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: var(--main-color);
}

/* Vegas Custom Overlay */
#slider-container {
  position: absolute;
  inset: 0;
  z-index: -10;
}
#slider-container::after {
  content: '';
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.25);
  z-index: 1;
}
.vegas-overlay{
  background-image: none !important;
}

@keyframes scroll-down {
  0% { transform: scaleY(0); transform-origin: top; }
  50% { transform: scaleY(1); transform-origin: top; }
  51% { transform: scaleY(1); transform-origin: bottom; }
  100% { transform: scaleY(0); transform-origin: bottom; }
}

@media screen and (min-width: 768px) {
  header:not(.scroll) .header_logo,
  header:not(.scroll) nav ul li a {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(6646%) hue-rotate(24deg) brightness(108%) contrast(103%);
  }
}
